# $Id: fityk.spec.in 336 2007-08-19 04:12:43Z wojdyr $
# may not work in your distribution -- feedback is appreciated

# You are welcome to become a maintainer of binary fityk package for your 
# favourite Linux distribution.

# This spec will make two RPMs: fityk and fityk-devel. fityk-devel is very 
# small, so it may be better to make one RPM instead. OTOH, according to Fedora 
# policy, devel packages should be always separated.
# I made two packages, because it's easier to merge than split.
# 
# You may find another fityk spec files at: 
#  - http://svn.rpmforge.net/svn/trunk/rpms/fityk/
#  - in Fedora (look for fityk SRPM)
#  

Summary:        Tool for fitting and analyzing data
Name:           fityk
Version:        0.8.6
#Release:        1%{?dist}
Release:        1
License:        GPL
Group:          Applications/Engineering
URL:            http://www.unipress.waw.pl/fityk/
Source0:        http://download.sourceforge.net/fityk/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++, desktop-file-utils
BuildRequires:  wxGTK-devel >= 2.6.3, readline-devel 
Requires:       wxGTK >= 2.6.3, readline
### it does NOT require boost library, because it uses only header files
### from boost, and these headers are distributed in fityk tarball.
#Requires: boost-devel
### gnuplot is recommended, but not required
#Requires: gnuplot

%description
Fityk is a program for nonlinear fitting of analytical functions 
(especially peak-shaped) to data (usually experimental data).
It can be also used for visualization of x-y data only.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name}, 
you will need to install %{name}-devel.

%prep
%setup -q

%build
### If you don't like Rpath, uncomment these sed lines
### http://fedoraproject.org/wiki/Packaging/Guidelines#Rpath
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
### install -p can be useful to keep timestamps
#%{__make} install DESTDIR="%{buildroot}" INSTALL="%{__install} -p"
%{__make} install DESTDIR="%{buildroot}" 

### we don't need .la files
%{__rm} -f %{buildroot}/%{_libdir}/*.la

### Clean up docs
%{__rm} -f samples/Makefile* doc/fitykhelp_img/Makefile*

%clean
%{__rm} -rf %{buildroot}

%post
update-desktop-database
update-mime-database %{_datadir}/mime 2>&1 >/dev/null || :
/sbin/ldconfig 2>/dev/null

%postun
update-desktop-database
update-mime-database %{_datadir}/mime 2>&1 >/dev/null || :
/sbin/ldconfig 2>/dev/null

%files
%defattr(-,root,root)
%doc COPYING NEWS TODO 
%doc samples/ doc/*.html doc/*.css doc/fitykhelp_img/
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/fityk.desktop
%{_datadir}/pixmaps/fityk.png
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so

